• Welcome to Simple Machines Community Forum. Please login or sign up.
December 05, 2021, 07:41:34 PM

News:

Want to get involved in developing SMF, then why not lend a hand on our github!


Custom Top Menu

Started by smp420, May 15, 2010, 12:57:45 PM

Previous topic - Next topic

smp420

May 15, 2010, 12:57:45 PM Last Edit: December 25, 2010, 11:40:44 AM by smp420
Link to Mod




Replace your SMF logo with a custom menu similar to this site. The settings for this mod are in Administration Center » Modification Settings » Top Menu. To disable a tab simply leave it blank. You can also have a tab open in a new page. If you want to see a demo just scroll up this mod adds the same menu as this site but without the dropdowns (dropdowns may be added later). This mod will most likely only install in curve variants.

Current languages supported
*English
*Russian

**Please attach translations in the mod support topic**

If you have any problems please use the support topic respectfully.


**Changelog**
Version 1.4
*Updated for 2.0 RC4 and 2.0.11

Version 1.3
*Added the ability to open tabs in a new page.

Version 1.2
*Added support for Russian language

Version 1.1
*Fixed all tabs being active

Version 1.0
*Initial release
"Things turn out best for those who make the best of the way things turn out." -Jack Buck


hitboy

I am getting this error message

QuoteError in Package Installation
At least one error was encountered during a test installation of this package. It is strongly recommended that you do not continue with installation unless you know what you are doing, and have made a backup very recently. This error may be caused by a conflict between the package you're trying to install and another package you have already installed, an error in the package, a package which requires another package that you don't have installed yet, or a package designed for another version of SMF.

rd

Congratz smp!

Anyway, hitboy what mods do you have installed? If you have a custom theme that is not curve varient then this won't work or if you have a conflicting mod.

hitboy

I'm using the curve theme as far as mods I do really have that many

Cutter65

Thanks for this very useful mod!  8)

Works great!  :)

Cutter


DoctorMalboro

Excellent mod, congrats!! ;)

TheListener

This looks interesting.

Would someone use it care to show the mod in action?

WiredStorm

This is quite cool ;)

Maybe in a future verison you could add a drop down menu system like this site has :D

Good job xD

Afro


TheListener

Afro now I have seen the mod in action on ya forum I may have to find a use for it.

;D

Liam.

IMO, it looks ugly having them all as active tabs... Wouldn't it look visually better if none of them were active, except on hover-over?

TheListener

Quote from: Liam. on May 15, 2010, 07:41:13 PM
IMO, it looks ugly having them all as active tabs... Wouldn't it look visually better if none of them were active, except on hover-over?

Fusspot.

;D

Maybe if the colour of the tab was a lighter blue.

Depends on the forum theme.

Afro

Quote from: Brack1 on May 15, 2010, 06:59:00 PM
Afro now I have seen the mod in action on ya forum I may have to find a use for it.

;D
yea, it looks good and tidy to me. i had those links there before but i added them through current theme settings.

Quote from: Liam. on May 15, 2010, 07:41:13 PM
IMO, it looks ugly having them all as active tabs... Wouldn't it look visually better if none of them were active, except on hover-over?

nice point, lets see if he could change that in the next version.

smp420

Quote from: hitboy on May 15, 2010, 03:37:54 PM
I am getting this error message

QuoteError in Package Installation
At least one error was encountered during a test installation of this package. It is strongly recommended that you do not continue with installation unless you know what you are doing, and have made a backup very recently. This error may be caused by a conflict between the package you're trying to install and another package you have already installed, an error in the package, a package which requires another package that you don't have installed yet, or a package designed for another version of SMF.
Attach the file you got that error on.

Quote from: God of on May 15, 2010, 06:23:39 PM
This is quite cool ;)

Maybe in a future verison you could add a drop down menu system like this site has :D

Good job xD
The next version will have dropdowns for sure I will  get tht out soon.

Quote from: Liam. on May 15, 2010, 07:41:13 PM
IMO, it looks ugly having them all as active tabs... Wouldn't it look visually better if none of them were active, except on hover-over?
That is one thing I was debating, on how it should be it could be changed easily in index.template.php, if enough people want it like that I will change it.
"Things turn out best for those who make the best of the way things turn out." -Jack Buck

akbora

This is Very Very good work. Excellent mod really...

Because I had requested that like your mod before at mod request topic.

http://www.simplemachines.org/community/index.php?topic=363108.msg2481881#msg2481881
SMF 2.0.13
Default Theme
Utf8 Turkish
---------------

smp420

Thanks for all the kind words here.
"Things turn out best for those who make the best of the way things turn out." -Jack Buck

Afro

QuoteThat is one thing I was debating, on how it should be it could be changed easily in index.template.php, if enough people want it like that I will change it.

Well IMHO, You dont need so many votes to change it. typical smf buttons  are not active until clicked or hovered.

rd

Yo, did you get my PM?

Anyways awesome mod!

~DS~

"There is no god, and that's the simple truth. If every trace of any single religion were wiped out and nothing were passed on, it would never be created exactly that way again. There might be some other nonsense in its place, but not that exact nonsense. If all of science were wiped out, it would still be true and someone would find a way to figure it all out again."
~Penn Jillette – God, NO! – 2011

Advertisement: